%program mencari pole2 dari persamaan digital
syms kp ki kd t b1 b2 b3 b4 kp1 ki1 kd1 n v
format long
kp=10
ki=9
kd=5
t=0.01
z0=kd/2
z1=-1-kp*t/2-kd/2
z2=3+ki*t^2/2-kd/2
z3=-3+kp*t/2+ki*t^2/2+kd/2
j=[1 z3 z2 z1 z0]
k=roots(j)
%program mencari pole2 dari persamaan analog
n=[1 kd kp ki];
v=roots(n)   